Bug 253707 - nm_signal_handler(): Caught signal 11. Generating backtrace...
nm_signal_handler(): Caught signal 11. Generating backtrace...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-21 08:14 EDT by Stephen
Modified: 2008-04-10 18:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-10 18:48:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen 2007-08-21 08:14:02 EDT
Description of problem:

NetworkManager crashes.

Here's the backtrace from /var/log/messages:



Aug 19 21:49:21 groks yum: Installed: NetworkManager-debuginfo.i386 1:0.6.5-2.fc7
Aug 20 03:56:55 groks NetworkManager: <WARN>  nm_signal_handler(): Caught signal
11.  Generating backtrace... 
Aug 20 03:56:55 groks NetworkManager: ******************* START
**********************************
Aug 20 03:56:56 groks NetworkManager: (no debugging symbols found)
Aug 20 03:56:56 groks NetworkManager: Using host libthread_db library
"/lib/libthread_db.so.1".
Aug 20 03:56:56 groks NetworkManager: (no debugging symbols found)
Aug 20 03:56:56 groks last message repeated 12 times
Aug 20 03:56:56 groks NetworkManager: [Thread debugging using libthread_db enabled]
Aug 20 03:56:56 groks NetworkManager: [New Thread -1208187200 (LWP 2082)]
Aug 20 03:56:56 groks NetworkManager: [New Thread -1229169776 (LWP 2383)]
Aug 20 03:56:56 groks NetworkManager: [New Thread -1218679920 (LWP 2089)]
Aug 20 03:56:56 groks NetworkManager: [New Thread -1208190064 (LWP 2086)]
Aug 20 03:56:56 groks NetworkManager: (no debugging symbols found)
Aug 20 03:56:57 groks last message repeated 5 times
Aug 20 03:56:57 groks NetworkManager: 0x00110402 in __kernel_vsyscall ()
Aug 20 03:56:57 groks NetworkManager: #0  0x00110402 in __kernel_vsyscall ()
Aug 20 03:56:57 groks NetworkManager: #1  0x00c7bd3b in waitpid () from
/lib/libpthread.so.0
Aug 20 03:56:57 groks NetworkManager: #2  0x0806d350 in ?? ()
Aug 20 03:56:57 groks NetworkManager: #3  0x0806d441 in ?? ()
Aug 20 03:56:57 groks NetworkManager: #4  <signal handler called>
Aug 20 03:56:57 groks NetworkManager: #5  0x00cf6bf8 in nl_cache_delete () from
/usr/lib/libnl.so.1
Aug 20 03:56:57 groks NetworkManager: #6  0x00cf6d0e in nl_cache_destroy () from
/usr/lib/libnl.so.1
Aug 20 03:56:57 groks NetworkManager: #7  0x00cf6dbc in nl_cache_update () from
/usr/lib/libnl.so.1
Aug 20 03:56:57 groks NetworkManager: #8  0x0806c253 in ?? ()
Aug 20 03:56:57 groks NetworkManager: #9  0x0806cff5 in
nm_system_get_iface_from_rtnl_index ()
Aug 20 03:56:57 groks NetworkManager: #10 0x0806e4ca in ?? ()
Aug 20 03:56:57 groks NetworkManager: #11 0x07431ecd in ?? () from
/lib/libglib-2.0.so.0
Aug 20 03:56:57 groks NetworkManager: #12 0x074087f2 in g_main_context_dispatch
() from /lib/libglib-2.0.so.0
Aug 20 03:56:57 groks NetworkManager: #13 0x0740b7cf in ?? () from
/lib/libglib-2.0.so.0
Aug 20 03:56:57 groks NetworkManager: #14 0x0740bb79 in g_main_loop_run () from
/lib/libglib-2.0.so.0
Aug 20 03:56:57 groks NetworkManager: #15 0x08069348 in main ()
Aug 20 03:56:57 groks NetworkManager: 
Aug 20 03:56:57 groks NetworkManager: Thread 4 (Thread -1208190064 (LWP 2086)):
Aug 20 03:56:57 groks NetworkManager: #0  0x00110402 in __kernel_vsyscall ()
Aug 20 03:56:57 groks NetworkManager: No symbol table info available.
Aug 20 03:56:57 groks NetworkManager: #1  0x00b98a43 in poll () from /lib/libc.so.6
Aug 20 03:56:57 groks NetworkManager: No symbol table info available.
Aug 20 03:56:57 groks NetworkManager: #2  0x0740b803 in ?? () from
/lib/libglib-2.0.so.0
Aug 20 03:56:57 groks NetworkManager: No symbol table info available.
Aug 20 03:56:57 groks NetworkManager: #3  0x0740bb79 in g_main_loop_run () from
/lib/libglib-2.0.so.0
Aug 20 03:56:57 groks NetworkManager: No symbol table info available.
Aug 20 03:56:57 groks NetworkManager: #4  0x080568de in ?? ()
Aug 20 03:56:57 groks NetworkManager: No symbol table info available.
Aug 20 03:56:57 groks NetworkManager: #5  0x0742666f in ?? () from
/lib/libglib-2.0.so.0
Aug 20 03:56:57 groks NetworkManager: No symbol table info available.
Aug 20 03:56:57 groks NetworkManager: #6  0x00c7444b in start_thread () from
/lib/libpthread.so.0
Aug 20 03:56:57 groks NetworkManager: No symbol table info available.
Aug 20 03:56:57 groks NetworkManager: #7  0x00ba280e in clone () from /lib/libc.so.6
Aug 20 03:56:57 groks NetworkManager: No symbol table info available.
Aug 20 03:56:57 groks NetworkManager: 
Aug 20 03:56:57 groks NetworkManager: Thread 3 (Thread -1218679920 (LWP 2089)):
Aug 20 03:56:57 groks NetworkManager: #0  0x00110402 in __kernel_vsyscall ()
Aug 20 03:56:57 groks NetworkManager: No symbol table info available.
Aug 20 03:56:57 groks NetworkManager: #1  0x00b98a43 in poll () from /lib/libc.so.6
Aug 20 03:56:57 groks NetworkManager: No symbol table info available.
Aug 20 03:56:57 groks NetworkManager: #2  0x0740b803 in ?? () from
/lib/libglib-2.0.so.0
Aug 20 03:56:57 groks NetworkManager: No symbol table info available.
Aug 20 03:56:57 groks NetworkManager: #3  0x0740bb79 in g_main_loop_run () from
/lib/libglib-2.0.so.0
Aug 20 03:56:57 groks NetworkManager: No symbol table info available.
Aug 20 03:56:57 groks NetworkManager: #4  0x080568de in ?? ()
Aug 20 03:56:57 groks NetworkManager: No symbol table info available.
Aug 20 03:56:57 groks NetworkManager: #5  0x0742666f in ?? () from
/lib/libglib-2.0.so.0
Aug 20 03:56:57 groks NetworkManager: No symbol table info available.
Aug 20 03:56:57 groks NetworkManager: #6  0x00c7444b in start_thread () from
/lib/libpthread.so.0
Aug 20 03:56:57 groks NetworkManager: No symbol table info available.
Aug 20 03:56:57 groks NetworkManager: #7  0x00ba280e in clone () from /lib/libc.so.6
Aug 20 03:56:57 groks NetworkManager: No symbol table info available.
Aug 20 03:56:57 groks NetworkManager: 
Aug 20 03:56:57 groks NetworkManager: Thread 2 (Thread -1229169776 (LWP 2383)):
Aug 20 03:56:57 groks NetworkManager: #0  0x00110402 in __kernel_vsyscall ()
Aug 20 03:56:57 groks NetworkManager: No symbol table info available.
Aug 20 03:56:57 groks NetworkManager: #1  0x00c7adeb in read () from
/lib/libpthread.so.0
Aug 20 03:56:57 groks NetworkManager: No symbol table info available.
Aug 20 03:56:57 groks NetworkManager: #2  0x0740944d in ?? () from
/lib/libglib-2.0.so.0
Aug 20 03:56:57 groks NetworkManager: No symbol table info available.
Aug 20 03:56:57 groks NetworkManager: #3  0x0742666f in ?? () from
/lib/libglib-2.0.so.0
Aug 20 03:56:57 groks NetworkManager: No symbol table info available.
Aug 20 03:56:57 groks NetworkManager: #4  0x00c7444b in start_thread () from
/lib/libpthread.so.0
Aug 20 03:56:57 groks NetworkManager: No symbol table info available.
Aug 20 03:56:57 groks NetworkManager: #5  0x00ba280e in clone () from /lib/libc.so.6
Aug 20 03:56:57 groks NetworkManager: No symbol table info available.
Aug 20 03:56:57 groks NetworkManager: 
Aug 20 03:56:57 groks NetworkManager: Thread 1 (Thread -1208187200 (LWP 2082)):
Aug 20 03:56:57 groks NetworkManager: #0  0x00110402 in __kernel_vsyscall ()
Aug 20 03:56:57 groks NetworkManager: No symbol table info available.
Aug 20 03:56:57 groks NetworkManager: #1  0x00c7bd3b in waitpid () from
/lib/libpthread.so.0
Aug 20 03:56:57 groks NetworkManager: No symbol table info available.
Aug 20 03:56:57 groks NetworkManager: #2  0x0806d350 in ?? ()
Aug 20 03:56:57 groks NetworkManager: No symbol table info available.
Aug 20 03:56:57 groks NetworkManager: #3  0x0806d441 in ?? ()
Aug 20 03:56:57 groks NetworkManager: No symbol table info available.
Aug 20 03:56:57 groks NetworkManager: #4  <signal handler called>
Aug 20 03:56:57 groks NetworkManager: No symbol table info available.
Aug 20 03:56:57 groks NetworkManager: #5  0x00cf6bf8 in nl_cache_delete () from
/usr/lib/libnl.so.1
Aug 20 03:56:57 groks NetworkManager: No symbol table info available.
Aug 20 03:56:57 groks NetworkManager: #6  0x00cf6d0e in nl_cache_destroy () from
/usr/lib/libnl.so.1
Aug 20 03:56:57 groks NetworkManager: No symbol table info available.
Aug 20 03:56:57 groks NetworkManager: #7  0x00cf6dbc in nl_cache_update () from
/usr/lib/libnl.so.1
Aug 20 03:56:57 groks NetworkManager: No symbol table info available.
Aug 20 03:56:57 groks NetworkManager: #8  0x0806c253 in ?? ()
Aug 20 03:56:57 groks NetworkManager: No symbol table info available.
Aug 20 03:56:57 groks NetworkManager: #9  0x0806cff5 in
nm_system_get_iface_from_rtnl_index ()
Aug 20 03:56:57 groks NetworkManager: No symbol table info available.
Aug 20 03:56:57 groks NetworkManager: #10 0x0806e4ca in ?? ()
Aug 20 03:56:57 groks NetworkManager: No symbol table info available.
Aug 20 03:56:57 groks NetworkManager: #11 0x07431ecd in ?? () from
/lib/libglib-2.0.so.0
Aug 20 03:56:57 groks NetworkManager: No symbol table info available.
Aug 20 03:56:57 groks NetworkManager: #12 0x074087f2 in g_main_context_dispatch
() from /lib/libglib-2.0.so.0
Aug 20 03:56:57 groks NetworkManager: No symbol table info available.
Aug 20 03:56:57 groks NetworkManager: #13 0x0740b7cf in ?? () from
/lib/libglib-2.0.so.0
Aug 20 03:56:57 groks NetworkManager: No symbol table info available.
Aug 20 03:56:57 groks NetworkManager: #14 0x0740bb79 in g_main_loop_run () from
/lib/libglib-2.0.so.0
Aug 20 03:56:57 groks NetworkManager: No symbol table info available.
Aug 20 03:56:57 groks NetworkManager: #15 0x08069348 in main ()
Aug 20 03:56:57 groks NetworkManager: No symbol table info available.
Aug 20 03:56:57 groks NetworkManager: #0  0x00110402 in __kernel_vsyscall ()
Aug 20 03:56:57 groks NetworkManager: The program is running.  Quit anyway (and
detach it)? (y or n) [answered Y; input not from terminal]
Aug 20 03:56:57 groks NetworkManager: ******************* END
**********************************
Aug 21 11:22:36 groks syslogd 1.4.2: restart.



Version-Release number of selected component (if applicable):

kernel-2.6.22.1-41.fc7
NetworkManager-0.6.5-7.fc7
madwifi-0.9.3.1-1.lvn7
kmod-madwifi-0.9.3.1-2.2.6.22.1_41.fc7
wpa_supplicant-0.5.7-3.fc7
dbus-1.0.2-6.fc7

Linux groks 2.6.22.1-41.fc7 #1 SMP Fri Jul 27 18:10:34 EDT 2007 i686 i686 i386
GNU/Linux

This is a 32bit x86 Intel ThinkPad Z60t with atheros wifi and all F7 updates.



How reproducible:

Happens regularly. ~ once per day.



Steps to Reproduce:
1. Reboot.
2. Wait 1 day.
3. Crash.
Comment 1 Dan Williams 2007-12-07 10:04:27 EST
Any chance you could install libnl-debuginfo, glib2-debuginfo, and
NetworkManager-debuginfo as well and get a new backtrace?
Comment 2 Stephen 2007-12-08 21:40:34 EST
Dec  8 21:57:44 groks NetworkManager: <WARN>  nm_signal_handler(): Caught signal
11.  Generating backtrace... 
Dec  8 21:57:44 groks NetworkManager: ******************* START
**********************************
Dec  8 21:57:45 groks NetworkManager: Using host libthread_db library
"/lib/libthread_db.so.1".
Dec  8 21:57:46 groks NetworkManager: [Thread debugging using libthread_db enabled]
Dec  8 21:57:46 groks NetworkManager: [New Thread -1208887616 (LWP 29147)]
Dec  8 21:57:46 groks NetworkManager: [New Thread -1229870192 (LWP 29165)]
Dec  8 21:57:46 groks NetworkManager: [New Thread -1219380336 (LWP 29152)]
Dec  8 21:57:46 groks NetworkManager: [New Thread -1208890480 (LWP 29149)]
Dec  8 21:57:46 groks NetworkManager: 0x00110402 in __kernel_vsyscall ()
Dec  8 21:57:46 groks NetworkManager: #0  0x00110402 in __kernel_vsyscall ()
Dec  8 21:57:46 groks NetworkManager: #1  0x00c7bd3b in waitpid () from
/lib/libpthread.so.0
Dec  8 21:57:46 groks NetworkManager: #2  0x0806d350 in nm_logging_backtrace ()
at nm-logging.c:72
Dec  8 21:57:46 groks NetworkManager: #3  0x0806d441 in nm_signal_handler
(signo=11) at nm-logging.c:166
Dec  8 21:57:46 groks NetworkManager: #4  <signal handler called>
Dec  8 21:57:46 groks NetworkManager: #5  nl_cache_delete (cache=0x9070110,
obj=0x90a7d50) at cache.c:357
Dec  8 21:57:46 groks NetworkManager: #6  0x00cf6d0e in nl_cache_destroy
(cache=0x9070110) at cache.c:232
Dec  8 21:57:46 groks NetworkManager: #7  0x00cf6dbc in nl_cache_update
(handle=0x9071780, cache=0x9070110)
Dec  8 21:57:46 groks NetworkManager:     at cache.c:408
Dec  8 21:57:46 groks NetworkManager: #8  0x0806c253 in get_link_cache
(nlh=0x9071780) at NetworkManagerSystem.c:181
Dec  8 21:57:46 groks NetworkManager: #9  0x0806cff5 in
nm_system_get_iface_from_rtnl_index (rtnl_index=5)
Dec  8 21:57:46 groks NetworkManager:     at NetworkManagerSystem.c:268
Dec  8 21:57:46 groks NetworkManager: #10 0x0806e4ca in
nm_netlink_monitor_event_handler (channel=0x906cb08, 
Dec  8 21:57:46 groks NetworkManager:     io_condition=G_IO_IN,
monitor=0x9067b00) at nm-netlink-monitor.c:739
Dec  8 21:57:46 groks NetworkManager: #11 0x07431ecd in g_io_unix_dispatch
(source=0x906ce40, 
Dec  8 21:57:46 groks NetworkManager:     callback=0x806df80
<nm_netlink_monitor_event_handler>, 
Dec  8 21:57:46 groks NetworkManager:     user_data=0x9067b00) at giounix.c:162
Dec  8 21:57:46 groks NetworkManager: #12 0x074087f2 in
IA__g_main_context_dispatch (context=0x906c1d8)
Dec  8 21:57:46 groks NetworkManager:     at gmain.c:2045
Dec  8 21:57:46 groks NetworkManager: #13 0x0740b7cf in g_main_context_iterate
(context=0x906c1d8, block=1, 
Dec  8 21:57:46 groks NetworkManager:     dispatch=1, self=0x9065fa0) at
gmain.c:2677
Dec  8 21:57:46 groks NetworkManager: #14 0x0740bb79 in IA__g_main_loop_run
(loop=0x906c258) at gmain.c:2881
Dec  8 21:57:46 groks NetworkManager: #15 0x08069348 in main (argc=1918989871,
argv=0xbf904e44)
Dec  8 21:57:46 groks NetworkManager:     at NetworkManager.c:1036
Dec  8 21:57:46 groks NetworkManager: 
Dec  8 21:57:46 groks NetworkManager: Thread 4 (Thread -1208890480 (LWP 29149)):
Dec  8 21:57:46 groks NetworkManager: #0  0x00110402 in __kernel_vsyscall ()
Dec  8 21:57:46 groks NetworkManager: No symbol table info available.
Dec  8 21:57:46 groks NetworkManager: #1  0x00b98a43 in poll () from /lib/libc.so.6
Dec  8 21:57:46 groks NetworkManager: No symbol table info available.
Dec  8 21:57:46 groks NetworkManager: #2  0x0740b803 in g_main_context_iterate
(context=0x9072118, block=1, 
Dec  8 21:57:46 groks NetworkManager:     dispatch=1, self=0x90720b0) at
gmain.c:2979
Dec  8 21:57:46 groks NetworkManager: 	got_ownership = <value optimized out>
Dec  8 21:57:46 groks NetworkManager: 
Dec  8 21:57:46 groks NetworkManager: 
Dec  8 21:57:46 groks NetworkManager: 	some_ready = <value optimized out>
Dec  8 21:57:46 groks NetworkManager: 
Dec  8 21:57:46 groks NetworkManager: 	allocated_nfds = <value optimized out>
Dec  8 21:57:46 groks NetworkManager: 	fds = (GPollFD *) 0x9072348
Dec  8 21:57:46 groks NetworkManager: 
Dec  8 21:57:46 groks NetworkManager: #3  0x0740bb79 in IA__g_main_loop_run
(loop=0x90703e8) at gmain.c:2881
Dec  8 21:57:46 groks NetworkManager: 
Dec  8 21:57:46 groks NetworkManager: 	self = (GThread *) 0x90720b0
Dec  8 21:57:46 groks NetworkManager: 
Dec  8 21:57:46 groks NetworkManager: #4  0x080568de in nm_device_worker
(user_data=0x9072800) at nm-device.c:288
Dec  8 21:57:46 groks NetworkManager: 
Dec  8 21:57:46 groks NetworkManager: #5  0x0742666f in g_thread_create_proxy
(data=0x90720b0) at gthread.c:594
Dec  8 21:57:46 groks NetworkManager: 
Dec  8 21:57:46 groks NetworkManager: #6  0x00c7444b in start_thread () from
/lib/libpthread.so.0
Dec  8 21:57:46 groks NetworkManager: No symbol table info available.
Dec  8 21:57:46 groks NetworkManager: #7  0x00ba280e in clone () from /lib/libc.so.6
Dec  8 21:57:46 groks NetworkManager: No symbol table info available.
Dec  8 21:57:46 groks NetworkManager: 
Dec  8 21:57:46 groks NetworkManager: Thread 3 (Thread -1219380336 (LWP 29152)):
Dec  8 21:57:46 groks NetworkManager: #0  0x00110402 in __kernel_vsyscall ()
Dec  8 21:57:46 groks NetworkManager: No symbol table info available.
Dec  8 21:57:46 groks NetworkManager: #1  0x00b98a43 in poll () from /lib/libc.so.6
Dec  8 21:57:46 groks NetworkManager: No symbol table info available.
Dec  8 21:57:46 groks NetworkManager: #2  0x0740b803 in g_main_context_iterate
(context=0x9073d78, block=1, 
Dec  8 21:57:46 groks NetworkManager:     dispatch=1, self=0x9073220) at
gmain.c:2979
Dec  8 21:57:46 groks NetworkManager: 	got_ownership = <value optimized out>
Dec  8 21:57:46 groks NetworkManager: 
Dec  8 21:57:46 groks NetworkManager: 
Dec  8 21:57:46 groks NetworkManager: 	some_ready = <value optimized out>
Dec  8 21:57:46 groks NetworkManager: 
Dec  8 21:57:46 groks NetworkManager: 	allocated_nfds = <value optimized out>
Dec  8 21:57:46 groks NetworkManager: 	fds = (GPollFD *) 0x90751e8
Dec  8 21:57:46 groks NetworkManager: 
Dec  8 21:57:46 groks NetworkManager: #3  0x0740bb79 in IA__g_main_loop_run
(loop=0x9071a28) at gmain.c:2881
Dec  8 21:57:46 groks NetworkManager: 
Dec  8 21:57:46 groks NetworkManager: 	self = (GThread *) 0x9073220
Dec  8 21:57:46 groks NetworkManager: 
Dec  8 21:57:46 groks NetworkManager: #4  0x080568de in nm_device_worker
(user_data=0x9074000) at nm-device.c:288
Dec  8 21:57:46 groks NetworkManager: 
Dec  8 21:57:46 groks NetworkManager: #5  0x0742666f in g_thread_create_proxy
(data=0x9073220) at gthread.c:594
Dec  8 21:57:46 groks NetworkManager: 
Dec  8 21:57:46 groks NetworkManager: #6  0x00c7444b in start_thread () from
/lib/libpthread.so.0
Dec  8 21:57:46 groks NetworkManager: No symbol table info available.
Dec  8 21:57:46 groks NetworkManager: #7  0x00ba280e in clone () from /lib/libc.so.6
Dec  8 21:57:46 groks NetworkManager: No symbol table info available.
Dec  8 21:57:46 groks NetworkManager: 
Dec  8 21:57:46 groks NetworkManager: Thread 2 (Thread -1229870192 (LWP 29165)):
Dec  8 21:57:46 groks NetworkManager: #0  0x00110402 in __kernel_vsyscall ()
Dec  8 21:57:46 groks NetworkManager: No symbol table info available.
Dec  8 21:57:46 groks NetworkManager: #1  0x00c7adeb in read () from
/lib/libpthread.so.0
Dec  8 21:57:46 groks NetworkManager: No symbol table info available.
Dec  8 21:57:46 groks NetworkManager: #2  0x0740944d in
child_watch_helper_thread (data=0x0)
Dec  8 21:57:46 groks NetworkManager:     at /usr/include/bits/unistd.h:35
Dec  8 21:57:46 groks NetworkManager: 
Dec  8 21:57:46 groks NetworkManager: 	list = (GSList *) 0xc77820
Dec  8 21:57:46 groks NetworkManager: #3  0x0742666f in g_thread_create_proxy
(data=0x9076c40) at gthread.c:594
Dec  8 21:57:46 groks NetworkManager: 
Dec  8 21:57:46 groks NetworkManager: #4  0x00c7444b in start_thread () from
/lib/libpthread.so.0
Dec  8 21:57:46 groks NetworkManager: No symbol table info available.
Dec  8 21:57:46 groks NetworkManager: #5  0x00ba280e in clone () from /lib/libc.so.6
Dec  8 21:57:46 groks NetworkManager: No symbol table info available.
Dec  8 21:57:46 groks NetworkManager: 
Dec  8 21:57:46 groks NetworkManager: Thread 1 (Thread -1208887616 (LWP 29147)):
Dec  8 21:57:46 groks NetworkManager: #0  0x00110402 in __kernel_vsyscall ()
Dec  8 21:57:46 groks NetworkManager: No symbol table info available.
Dec  8 21:57:46 groks NetworkManager: #1  0x00c7bd3b in waitpid () from
/lib/libpthread.so.0
Dec  8 21:57:46 groks NetworkManager: No symbol table info available.
Dec  8 21:57:46 groks NetworkManager: #2  0x0806d350 in nm_logging_backtrace ()
at nm-logging.c:72
Dec  8 21:57:46 groks NetworkManager: st_mode = 33261, 
Dec  8 21:57:46 groks NetworkManager: __pad2 = 0, 
Dec  8 21:57:46 groks NetworkManager: st_blocks = 16, st_atim = {
Dec  8 21:57:46 groks NetworkManager: tv_sec = 1182955014, 
Dec  8 21:57:46 groks NetworkManager: 
Dec  8 21:57:46 groks NetworkManager: __unused5 = 0}
Dec  8 21:57:46 groks NetworkManager: #3  0x0806d441 in nm_signal_handler
(signo=11) at nm-logging.c:166
Dec  8 21:57:46 groks NetworkManager: 
Dec  8 21:57:46 groks NetworkManager: 
Dec  8 21:57:46 groks NetworkManager: #4  <signal handler called>
Dec  8 21:57:46 groks NetworkManager: No symbol table info available.
Dec  8 21:57:46 groks NetworkManager: #5  nl_cache_delete (cache=0x9070110,
obj=0x90a7d50) at cache.c:357
Dec  8 21:57:46 groks NetworkManager: 
Dec  8 21:57:46 groks NetworkManager: #6  0x00cf6d0e in nl_cache_destroy
(cache=0x9070110) at cache.c:232
Dec  8 21:57:46 groks NetworkManager: 	obj = (struct nl_object *) 0x0
Dec  8 21:57:46 groks NetworkManager: 	tmp = (struct nl_object *) 0x1f000
Dec  8 21:57:46 groks NetworkManager: #7  0x00cf6dbc in nl_cache_update
(handle=0x9071780, cache=0x9070110)
Dec  8 21:57:46 groks NetworkManager:     at cache.c:408
Dec  8 21:57:46 groks NetworkManager: 
Dec  8 21:57:46 groks NetworkManager: 	ops = <value optimized out>
Dec  8 21:57:46 groks NetworkManager: 	cb = <value optimized out>
Dec  8 21:57:46 groks NetworkManager: pp_arg = 0x9070110}
Dec  8 21:57:46 groks NetworkManager: params = 0xbf903294}
Dec  8 21:57:46 groks NetworkManager: #8  0x0806c253 in get_link_cache
(nlh=0x9071780) at NetworkManagerSystem.c:181
Dec  8 21:57:46 groks NetworkManager: 	mutex = {runtime_mutex = 0x0,
static_mutex = {
Dec  8 21:57:46 groks NetworkManager: dummy_double = 4.9406564584124654e-324, 
Dec  8 21:57:46 groks NetworkManager: dummy_long = 1}}
Dec  8 21:57:46 groks NetworkManager: 	link_cache = (struct nl_cache *) 0x9070110
Dec  8 21:57:46 groks NetworkManager: 
Dec  8 21:57:46 groks NetworkManager: #9  0x0806cff5 in
nm_system_get_iface_from_rtnl_index (rtnl_index=5)
Dec  8 21:57:46 groks NetworkManager:     at NetworkManagerSystem.c:268
Dec  8 21:57:46 groks NetworkManager: 	nlh = (struct nl_handle *) 0x9071780
Dec  8 21:57:46 groks NetworkManager: 	cache = <value optimized out>
Dec  8 21:57:46 groks NetworkManager: 	buf = <value optimized out>
Dec  8 21:57:46 groks NetworkManager: #10 0x0806e4ca in
nm_netlink_monitor_event_handler (channel=0x906cb08, 
Dec  8 21:57:46 groks NetworkManager:     io_condition=G_IO_IN,
monitor=0x9067b00) at nm-netlink-monitor.c:739
Dec  8 21:57:46 groks NetworkManager: 
Dec  8 21:57:46 groks NetworkManager: 	error = (GError *) 0x0
Dec  8 21:57:46 groks NetworkManager: gchar *) 0x907b818 ","
Dec  8 21:57:46 groks NetworkManager: 
Dec  8 21:57:46 groks NetworkManager: 
Dec  8 21:57:46 groks NetworkManager: 	header = (struct nlmsghdr *) 0x907b818
Dec  8 21:57:46 groks NetworkManager: 
Dec  8 21:57:46 groks NetworkManager: 
Dec  8 21:57:46 groks NetworkManager: #11 0x07431ecd in g_io_unix_dispatch
(source=0x906ce40, 
Dec  8 21:57:46 groks NetworkManager:     callback=0x806df80
<nm_netlink_monitor_event_handler>, 
Dec  8 21:57:46 groks NetworkManager:     user_data=0x9067b00) at giounix.c:162
Dec  8 21:57:46 groks NetworkManager: 
Dec  8 21:57:46 groks NetworkManager: #12 0x074087f2 in
IA__g_main_context_dispatch (context=0x906c1d8)
Dec  8 21:57:46 groks NetworkManager:     at gmain.c:2045
Dec  8 21:57:46 groks NetworkManager: No locals.
Dec  8 21:57:46 groks NetworkManager: #13 0x0740b7cf in g_main_context_iterate
(context=0x906c1d8, block=1, 
Dec  8 21:57:46 groks NetworkManager:     dispatch=1, self=0x9065fa0) at
gmain.c:2677
Dec  8 21:57:46 groks NetworkManager: 	got_ownership = <value optimized out>
Dec  8 21:57:46 groks NetworkManager: 
Dec  8 21:57:46 groks last message repeated 2 times
Dec  8 21:57:46 groks NetworkManager: 	nfds = <value optimized out>
Dec  8 21:57:46 groks NetworkManager: 	allocated_nfds = <value optimized out>
Dec  8 21:57:46 groks NetworkManager: 	fds = (GPollFD *) 0x90718f0
Dec  8 21:57:46 groks NetworkManager: 
Dec  8 21:57:46 groks NetworkManager: #14 0x0740bb79 in IA__g_main_loop_run
(loop=0x906c258) at gmain.c:2881
Dec  8 21:57:46 groks NetworkManager: 
Dec  8 21:57:46 groks NetworkManager: 	self = (GThread *) 0x9065fa0
Dec  8 21:57:46 groks NetworkManager: 
Dec  8 21:57:46 groks NetworkManager: #15 0x08069348 in main (argc=1918989871,
argv=0xbf904e44)
Dec  8 21:57:46 groks NetworkManager:     at NetworkManager.c:1036
Dec  8 21:57:46 groks NetworkManager: 
Dec  8 21:57:47 groks last message repeated 2 times
Dec  8 21:57:47 groks NetworkManager: 	owner = <value optimized out>
Dec  8 21:57:47 groks NetworkManager: 
Dec  8 21:57:47 groks last message repeated 2 times
Dec  8 21:57:47 groks NetworkManager: #0  0x00110402 in __kernel_vsyscall ()
Dec  8 21:57:47 groks NetworkManager: The program is running.  Quit anyway (and
detach it)? (y or n) [answered Y; input not from terminal]
Dec  8 21:57:47 groks NetworkManager: ******************* END
**********************************
Comment 3 Dan Williams 2008-04-10 16:49:33 EDT
Please try to reproduce with 0.6.6 which is now in f7-updates.  Thanks!
Comment 4 Stephen 2008-04-10 17:00:25 EDT
Works in f8 -- that's all I have to test with.
Comment 5 Dan Williams 2008-04-10 18:48:22 EDT
Ok, closing as worksforme then, thanks!

Note You need to log in before you can comment on or make changes to this bug.